跳至內容

Personaplex

整合

模型 id personaplex
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/personaplex?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.01 10 API 點數 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
NVIDIA 音訊 #audio

語音轉語音的對話模型,以選定的人格與聲音回答語音訊息

NVIDIA · 音訊

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

預設 You are a wise and fr...

定義 AI 人格與對話情境的文字提示詞。

拖放檔案,或

語音複製樣本 URL;建議使用至少 10 秒的清晰語音。樣本會即時複製,取代 AI 回應所用的預設 'voice'。

•必填 audio_url
拖放檔案,或

包含使用者語音的輸入音訊 URL。

進階 voice · temperature_audio · temperature_text · top_k_audio · top_k_text · seed · enable_safety_checker
預設 NATF2

AI 回應的語音 ID;提供 voice_audio_url 時會覆寫。其代碼區分自然(NAT)與多樣(VAR),以及女性(F)與男性(M)。

預設 0.8

取樣音訊時使用的溫度;提高此值會產生更多樣的結果。

預設 0.7

取樣文字時使用的溫度;提高此值會產生更多樣的結果。

預設 250

用於取樣音訊 Token 的 Top-K 設定。

預設 25

用於取樣文字 Token 的 Top-K 設定。

控制隨機性以產生可重現結果的種子。

POST /run/personaplex?wait=20 報價 → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/personaplex?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Personaplex

透過 `audio_url` 接收使用者語音,並回覆生成的語音,同時回傳回覆逐字稿與持續時間。文字 `prompt` 定義人格,`voice` 選擇預設聲音。或者,`voice_audio_url` 可從取樣音訊複製聲音,建議提供 10 秒以上的清晰語音。可透過 temperature 與 top-k 設定調整取樣。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt選填
類型string
預設值You are a wise and friendly teacher. Answer questions or provide advice in a clear and engaging way.
定義 AI 人格與對話情境的文字提示詞。
voice選填
類型enum
預設值NATF2
NATF0NATF1NATF2NATF3NATM0NATM1NATM2NATM3VARF0VARF1VARF2VARF3VARF4VARM0VARM1VARM2
另有 2 個VARM3VARM4
AI 回應的語音 ID;提供 voice_audio_url 時會覆寫。其代碼區分自然(NAT)與多樣(VAR),以及女性(F)與男性(M)。
voice_audio_url選填
類型url · audio
語音複製樣本 URL;建議使用至少 10 秒的清晰語音。樣本會即時複製,取代 AI 回應所用的預設 'voice'。
temperature_audio選填
類型number
預設值0.8
0 – 2
取樣音訊時使用的溫度;提高此值會產生更多樣的結果。
temperature_text選填
類型number
預設值0.7
0 – 2
取樣文字時使用的溫度;提高此值會產生更多樣的結果。
top_k_audio選填
類型integer
預設值250
1 – 2,048
用於取樣音訊 Token 的 Top-K 設定。
top_k_text選填
類型integer
預設值25
1 – 1,000
用於取樣文字 Token 的 Top-K 設定。
seed選填
類型integer | null
控制隨機性以產生可重現結果的種子。
audio_url必填 audio
類型url · audio
包含使用者語音的輸入音訊 URL。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "personaplex",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "text": " Thank you for calling SwiftPlex Appliances. This is Farhod, how can I help you today? I understand your concern. The replacement part is out of stock, so we can't ship it right away. We can use an alternative part that will arrive in 3 days. Would you like to proceed with that?",
    "duration": 5,
    "seed": 42
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
audio
object {url, content_type, file_name, file_size}AI 生成的回應音訊,格式為 24 kHz WAV。
text
stringAI 回應的文字轉錄。
duration
number生成音訊的長度,以秒為單位。
seed
integer生成期間套用的種子值。

更多模型:音訊

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/personaplex.md. 所有模型與指南: https://doitong.com/developers/llms.txt